﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace XamDemoCalcs
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        MyLogic vm;
        public MainWindow()
        {
            InitializeComponent();
            DataContext = vm = new MyLogic();
            vm.GenCalcs();
        }

        private void MyGrid_AssigningFieldLayoutToItem(object sender, Infragistics.Windows.DataPresenter.Events.AssigningFieldLayoutToItemEventArgs e)
        {
            FieldLayout resultLayout = new FieldLayout();
            if (e.ParentExpandableFieldRecord == null)
                resultLayout = MyGrid.FieldLayouts["master"];
            else
                resultLayout = MyGrid.FieldLayouts["nested"];
            e.FieldLayout = resultLayout;
        }
    }
}
